OpenTTD Source: Data Fields

OpenTTD Source 14.0-beta1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - e -

- EA_MULTIPLIER : IndustryViewWindow
- EA_NONE : IndustryViewWindow
- EA_RATE : IndustryViewWindow
- east : RoadStop
- economy : DifficultySettings , GameSettings , NewsSettings
- economy_date : NewsItem
- ECONOMY_QUARTER_MINUTES : BaseGraphWindow
- EconomyMonthlyLoop() : IndustryBuildData
- edges : LinkGraph::BaseNode , LinkGraphJob::NodeAnnotation
- edit_box_focused : VideoDriver_SDL_Base
- edit_max_hl : Cheats
- Editability : IndustryViewWindow
- editable : IndustryViewWindow , NewGRFParametersWindow , NewGRFWindow , NWidgetNewGRFDisplay
- editbox : BuildRailWaypointWindow , QueryStringWindow
- editbox_line : IndustryViewWindow
- EDITBOX_MAX_SIZE : BuildObjectWindow , BuildRailStationWindow , BuildRoadStationWindow , NetworkContentListWindow
- EditBoxGainedFocus() : VideoDriver , VideoDriver_SDL_Base
- EditBoxLostFocus() : VideoDriver , VideoDriver_Cocoa , VideoDriver_SDL_Base , VideoDriver_Win32Base
- effect_vol : MusicSettings
- EffectiveSupply() : AsymmetricScaler , SymmetricScaler
- EffectVehicle() : EffectVehicle
- Elapsed() : BaseTimer< TTimerType > , IntervalTimer< TTimerType > , TimeoutTimer< TTimerType > , TimerManager< TTimerType >
- element : FrametimeGraphWindow , Kdtree< T, TxyFunc, CoordT, DistT >::node
- EliminateCycle() : MCF1stPass
- EliminateCycles() : MCF1stPass
- Emergency() : Gamelog
- EMPTY : GRFTempEngineData
- empty_sharesmap : FlowStat
- EmptyPacketQueue() : NetworkTCPSocketHandler
- enabled : AirportSpec , AirportTileSpec , BuildIndustryWindow , HouseSpec , IndustrySpec , IndustryTileSpec
- enabled_actions : TownAuthorityWindow
- EnableWidget() : Window
- Encode() : Blitter_32bppOptimized , Blitter_32bppSimple , Blitter_40bppAnim , Blitter_8bppOptimized , Blitter_8bppSimple , Blitter_Null , OpenGLBackend , SpriteEncoder
- End() : CargoDataEntry , CBinaryHeapT< T > , ClientNetworkContentSocketHandler
- end : FlowEdgeIterator , GraphEdgeIterator , LegendAndColour , OrthogonalTileArea
- END : StringIterator
- end : StringListReader , TextfileWindow::Hyperlink
- end_of_life_date : ObjectSpec
- ending_year : GameCreationSettings
- EndResolve() : NewGRFProfiler
- EndStruct() : DumpTarget
- engclass : RailVehicleInfo
- engine : ScriptInfo , ScriptInstance , ScriptScanner
- engine_id : GUIEngineListItem
- engine_renew : CompanySettings
- engine_renew_list : CompanyProperties
- engine_renew_money : CompanySettings
- engine_renew_months : CompanySettings
- engine_type : Vehicle
- engines : ReplaceVehicleWindow
- english : LangString
- EnsureSelectedObjectClassIsVisible() : BuildObjectWindow
- EnsureSelectedStationClassIsVisible() : BuildRailStationWindow
- EnsureStoryPageElementLayout() : StoryBookWindow
- Enter() : RoadStop , RoadStop::Entry
- entity_id : EntityIDMapping
- entries : SettingsContainer
- Entry() : RoadStop::Entry
- entry_points : AirportFTAClass
- ep : CrashLogWindows
- equal_range() : MultiMap< Tkey, Tvalue, Tcompare >
- Equals() : Order
- erase() : MultiMap< Tkey, Tvalue, Tcompare >
- EraseFlows() : LinkGraphJob
- err_build_road : RoadTypeInfo
- err_build_station : RoadTypeInfo
- err_convert_road : RoadTypeInfo
- err_depot : RoadTypeInfo
- err_msg : CommandPacket
- err_remove_road : RoadTypeInfo
- err_remove_station : RoadTypeInfo
- errmsg_duration : GUISettings
- error : GRFConfig , LibraryLoader , LoadCheckData , NetworkError , SaveLoadParams
- error_msg : LoadCheckData
- error_str : SaveLoadParams
- error_thrown : ScriptAllocator
- ErrorMessageData() : ErrorMessageData
- ErrorPrintFunc() : Squirrel
- EstimateDestinations() : StationViewWindow
- event_data : ScriptStorage
- EventEnterMainMenu() : SocialIntegration
- EventEnterMultiplayer() : SocialIntegration
- EventEnterScenarioEditor() : SocialIntegration
- EventEnterSingleplayer() : SocialIntegration
- EventJoiningMultiplayer() : SocialIntegration
- excluded_data : BaseGraphWindow
- exclusive_consumer : Industry
- exclusive_counter : Town
- exclusive_rights : EconomySettings
- exclusive_size : TownAuthorityWindow
- exclusive_supplier : Industry
- exclusivity : Town
- execute : NewGRFWindow
- exit_sig : PacketWriter
- Expand() : OrthogonalTileArea , Rect
- expand_shrink_width : StationViewWindow
- expanded_rows : StationViewWindow
- expect_table_header : SaveLoadParams
- EXPECTED_FACIL : SpecializedStation< T, Tis_waypoint >
- expected_rate : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- EXPECTED_TYPE : SpecializedVehicle< T, Type >
- expense_type : CommandCost
- expenses : CompanyEconomyEntry
- expenses_layout : GUISettings
- extend_left : VehicleCellSize
- extend_right : VehicleCellSize
- extend_vehicle_life : VehicleSettings
- extended_tiles : Tile
- Extension() : FiosNumberedSaveName
- extension : ScreenshotFormat
- external : InternalSocialIntegrationPlugin
- ExternalSearchDisclaimerCallback() : NetworkContentListWindow
- extra_cfg : GraphicsSet
- extra_data : SaveLoad
- extra_dynamite : ConstructionSettings
- extra_flags : HouseSpec
- extra_message : CommandCost
- extra_msg : ErrorMessageData , SaveLoadParams
- extra_params : BaseGraphics::Ini
- extra_tree_placement : ConstructionSettings
- extra_version : BaseGraphics::Ini
- ExtractCommandCost() : CommandHelper< Tcmd, Tret(*)(DoCommandFlag, Targs...), true >